Bug 1248634 - Horizon Create volume from Image not mountable
Horizon Create volume from Image not mountable
Status: CLOSED EOL
Product: RDO
Classification: Community
Component: openstack-horizon (Show other bugs)
Kilo
Unspecified Unspecified
unspecified Severity unspecified
: ---
: Kilo
Assigned To: Itxaka
wes hayutin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-30 09:53 EDT by Jasper Spit
Modified: 2016-07-13 18:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-19 11:45:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jasper Spit 2015-07-30 09:53:47 EDT
Description of problem:

When using Horizon -> Images - > Create volume from a certain image, the resulting volume is not mountable, at least not with an ISO image as source. Also when looking at the volume details, there is no "Volume source" section. cinder show does not display a volume_image_metadata field.

However, when you go to Horizon -> Volumes, Create volume and select the same image as source, everything works as expected.

This is using a Ceph backend.

Version-Release number of selected component (if applicable):

openstack-dashboard-2015.1.0-5.el7.noarch

How reproducible:

Steps to Reproduce:
1. Go to Images, pick an image
2. Select Action -> Create volume
3. Leave everything as default
4. Volume is created instantly
5. Try to attach the volume to an instance
6. The device will show up but it is not mountable

Actual results:

Volume is not mountable in an instance.

Expected results:

Volume is mountable in an instance.

Additional info:
Comment 1 Jasper Spit 2015-09-02 08:45:25 EDT
Any update please?
Comment 2 Matthias Runge 2015-09-02 09:09:27 EDT
The way it works is:
go to images, pick image create volume
then go to volumes, pick that volume and launch an instance from that volume.

When trying to add a new volume to a running instance, create a new volume, and attach that volume to the instance.

I'm not sure, it is supposed to work like you describe at all.
Comment 3 Jasper Spit 2015-09-02 09:37:36 EDT
The idea is that I need to mount an ISO file to an existing instance. So I upload the ISO as an Image, then create a volume from that image so I can attach it to an instance.

This doesn't work as I described it, though in my opinion it should as the functionality is there in Horizon. The alternate method I described does work which has the same effect, it is just a different way of getting there.

I'm guessing the failing method in Horizon is merely not doing something it should with the volume_image_metadata.
Comment 4 Chandan Kumar 2016-05-19 11:45:10 EDT
This bug is against a Version which has reached End of Life.
If it's still present in supported release (http://releases.openstack.org), please update Version and reopen.

Note You need to log in before you can comment on or make changes to this bug.